Bug 490614 (CVE-2009-0147) - CVE-2009-0147 xpdf: Multiple integer overflows in JBIG2 decoder
Summary: CVE-2009-0147 xpdf: Multiple integer overflows in JBIG2 decoder
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0147
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,impact=important,rep...
Depends On: 490707 490708 490710 490711 490712 490713 490714 490715 490716 490717 490727 490728 490729 490730 492384 492385 492386 492387 496942 496943 496944 577322 577323 577328 577329 833914
Blocks: 491864
TreeView+ depends on / blocked
 
Reported: 2009-03-17 10:30 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 08:38:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0429 normal SHIPPED_LIVE Important: cups security update 2009-04-16 22:52:28 UTC
Red Hat Product Errata RHSA-2009:0430 normal SHIPPED_LIVE Important: xpdf security update 2009-04-16 22:52:59 UTC
Red Hat Product Errata RHSA-2009:0431 normal SHIPPED_LIVE Important: kdegraphics security update 2009-04-16 22:53:18 UTC
Red Hat Product Errata RHSA-2009:0458 normal SHIPPED_LIVE Important: gpdf security update 2009-04-30 20:58:15 UTC
Red Hat Product Errata RHSA-2009:0480 normal SHIPPED_LIVE Important: poppler security update 2009-05-13 14:32:34 UTC
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0400 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:09:35 UTC

Description Jan Lieskovsky 2009-03-17 10:30:59 UTC
Multiple integer overflows and one integer signedness error were found
in the JBIG2 decoder. An attacker could use these flaws to cause a denial of service (application crash) via specially-crafted PDF file.

Acknowledgements:

Red Hat would like to thank Braden Thomas and Drew Yao of the Apple Product
Security team for responsibly reporting these flaws.

Comment 11 Josh Bressers 2009-03-24 14:38:12 UTC
attachment 336465 [details] has the updated patch that should be used for this issue.

Comment 14 Vincent Danen 2009-04-16 21:31:25 UTC
Embargo has been lifted.

Comment 15 Fedora Update System 2009-04-17 19:02:11 UTC
xpdf-3.02-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc9

Comment 16 Fedora Update System 2009-04-17 19:03:27 UTC
xpdf-3.02-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc10

Comment 17 Fedora Update System 2009-04-21 15:17:07 UTC
cups-1.3.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc9

Comment 18 Fedora Update System 2009-04-21 15:19:58 UTC
cups-1.3.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc10

Comment 20 Fedora Update System 2009-04-22 00:47:20 UTC
cups-1.3.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-04-22 00:50:13 UTC
cups-1.3.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-04-22 00:53:35 UTC
xpdf-3.02-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2009-04-22 00:58:46 UTC
xpdf-3.02-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 errata-xmlrpc 2009-04-24 07:55:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:0430 https://rhn.redhat.com/errata/RHSA-2009-0430.html

Comment 25 errata-xmlrpc 2009-04-24 08:05:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0431 https://rhn.redhat.com/errata/RHSA-2009-0431.html

Comment 26 errata-xmlrpc 2009-04-24 08:26:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0429 https://rhn.redhat.com/errata/RHSA-2009-0429.html

Comment 27 errata-xmlrpc 2009-04-30 20:58:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0458 https://rhn.redhat.com/errata/RHSA-2009-0458.html

Comment 28 errata-xmlrpc 2009-05-13 14:32:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0480 https://rhn.redhat.com/errata/RHSA-2009-0480.html

Comment 31 errata-xmlrpc 2010-05-06 18:54:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 32 errata-xmlrpc 2010-05-06 19:09:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0400 https://rhn.redhat.com/errata/RHSA-2010-0400.html


Note You need to log in before you can comment on or make changes to this bug.